# ficd.sh

This is the source code for my personal website, [ficd.sh], built with the
[zona] static site generator. It's hosted on [srht.site] and automatically
deployed via Forgejo actions when changes are pushed to the `main` branch
of this repository. I use `zona serve` to preview locally before pushing
changes.

1. The site is built with `zona build`.
2. The output is packaged into `.tar.gz` format.
3. The tarball is published with `hut pages publish`.

You can see the entire pipeline in
[here](./.forgejo/workflows/deploy.yml).

[zona]: https://git.ficd.sh/ficd/zona
[ficd.sh]: https://ficd.sh
[srht.site]: https://srht.site
